﻿using System;
using System.ComponentModel;
using FormsCollectionViewRotationTest.ViewModels;
using Xamarin.Forms;

namespace FormsCollectionViewRotationTest.Views
{
    [DesignTimeVisible(false)]
    public partial class ItemsPage : ContentPage
    {
        ItemsViewModel viewModel;

        public ItemsPage()
        {
            InitializeComponent();

            BindingContext = viewModel = new ItemsViewModel();
        }

        protected override void OnAppearing()
        {
            base.OnAppearing();

            if (viewModel.Items.Count == 0)
                viewModel.LoadItemsCommand.Execute(null);
        }

        private void CollectionView_SizeChanged(object sender, EventArgs e)
        {
            if (sender is CollectionView collectionView && collectionView.ItemsLayout is GridItemsLayout gridItemsLayout)
            {
                gridItemsLayout.Span = Math.Max(1, (int)Math.Floor(collectionView.Width / 320));
                System.Diagnostics.Debug.WriteLine("Items per line -> " + gridItemsLayout.Span);
            }
        }
    }
}